just want to chime in and say with catalyst 10.11 and 10.12 the 6870 and 6950 work fine on my system.

For ati stream sdk, you need to use 2.3 which also works on both the cards mentioned above.